Subject: Re: bug#56528: 29.0.50; Emacs lucid segfaults when X dies

From: Po Lu <[email-masked]>
Date: Thu, 14 Jul 2022 14:24:31 +0800

Eli Zaretskii <[email-masked]> writes:

> Print an error message where?

To whatever happens to be stdout at the moment.  (Probably
.Xsession_errors)

> I think the right solution for this use case is to add a new command
> that deletes all client frames.  We are talking about a user who
> intentionally kills the X server, so the ability to conveniently
> delete all the frames except the daemon frame will (or should) allow
> Emacs to survive the traumatic event.

That's already performed automatically upon the traumatic event.  But if
deleting the terminal from Lisp is what you want, why not directly use
`delete-terminal'?